<template>
    <div class="player-container">
        <div class="player-item player-active">
            <EasyPlayer
                live
                alt="视频加载中，请稍候......"
                :muted="muted"
                ref="easyPlayer"
                :reconnection="true"
                v-model="player.url"
                :video-title="player.videoTitle"
            ></EasyPlayer>
        </div>
    </div>
</template>

<script>
import EasyPlayer from '@easydarwin/easyplayer'
import bigScreenAPI from '@/api/BigScreen/index.js'
export default {
    name: 'easyPlayer',
    components: {
        EasyPlayer,
    },
    props: {},
    data() {
        return {
            player: {
                name: 'easyPlayer',
                url: '',
                videoTitle: '',
            },
            muted: true,
            url: '',
        }
    },
    methods: {
        getUrlAndPlay(item) {
            console.log(item);
            this.player.videoTitle = item.name
            bigScreenAPI.queryVideoByCode(item.code,'3').then((res)=>{
                // console.log('----------date-----------------',res);
                this.player.url = res.data
            })
        },
    },
    destroyed(){
        this.$refs.easyPlayer.destroyPlayer()
    }
}
</script>

<style lang="scss" scoped>
.player-container{
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    box-sizing: border-box;
    background-color: #333;
}
.player-item{
    width: 100%!important;
    height: 100%!important;
    border: 2px solid #000;
    box-sizing: border-box;
    cursor: pointer;
}
// .player-active{
//     border: 2px solid #ffcc00;
// }
// .player-item:nth-of-type(1){
//     width: calc(50% - 2px)!important;
//     height: calc(50% - 2px)!important;
//     margin: 0 2px 2px 0;
// }
// .player-item:nth-of-type(2){
//     height: calc(50% - 2px)!important;
//     margin: 0 0 2px 0;
// }
// .player-item:nth-of-type(3){
//     width: calc(50% - 2px)!important;
//     margin: 0 2px 0 0;
// }
</style>